Bug 1254961 - engine-config&WebUI show different info for MAC pool range
engine-config&WebUI show different info for MAC pool range
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity low
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Martin Mucha
Lukas Svaty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 06:39 EDT by Andrei Stepanov
Modified: 2016-04-19 21:37 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:37:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: Triaged+


Attachments (Terms of Use)
MAC pool range (91.59 KB, image/jpeg)
2015-08-19 06:39 EDT, Andrei Stepanov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 34693 master MERGED core: Remove deprecated and unused VdcOptions from db Never
oVirt gerrit 45743 master MERGED packaging: setup: don't re-add dropped VdcOptions Never
oVirt gerrit 46014 ovirt-engine-3.6 ABANDONED core: Remove deprecated and unused VdcOptions from db Never
oVirt gerrit 46289 ovirt-engine-3.6 MERGED core: Remove deprecated and unused VdcOptions from db Never
oVirt gerrit 46349 ovirt-engine-3.6 MERGED packaging: setup: don't re-add dropped VdcOptions Never

  None (edit)
Description Andrei Stepanov 2015-08-19 06:39:32 EDT
Created attachment 1064727 [details]
MAC pool range

rhevm-tools-3.6.0-0.11.master.el6.noarch

From cmdline:

# engine-config -a | grep MacPoolRanges
MacPoolRanges: 00:1a:4a:2d:70:00-00:1a:4a:2d:70:ff version: general

WebUI has different values at Configure->MAC Address pools

See attached screenshot.
Comment 1 Dan Kenigsberg 2015-08-26 05:21:37 EDT
Martin, shouldn't we drop MacPoolRanges from engine-config?
Comment 2 Martin Mucha 2015-08-26 05:56:37 EDT
yes, sure.
https://gerrit.ovirt.org/#/c/34693/3
Comment 3 Martin Mucha 2015-09-01 08:16:23 EDT
although given patch removes data from db, there's this 'mac range packaging plugin' which puts it back.

./packaging/setup/plugins/ovirt-engine-setup/ovirt-engine/config/macrange.py

I do not undestand our packaging sufficiently so I can fix it.
Please advise.
Comment 4 Eyal Edri 2015-09-01 16:52:36 EDT
I'm not familiar with engine config plugins,
adding sandro that might know or direct us to the relevant mainainer.
Comment 5 Sandro Bonazzola 2015-09-04 03:45:39 EDT
See External Bug ID: oVirt gerrit 45743
Comment 6 Lukas Svaty 2015-10-01 10:23:59 EDT
What was the resolution of this bug?

MacPoolRanges should not appear in engine-config options, or those values should be the same?
Comment 7 Martin Mucha 2015-10-02 01:56:39 EDT
there were just pending patches to be merged. After merging them, there shouldn't be MacPoolRanges in VdcOptions table and trying to query them should produce information about them being deprecated.
Comment 8 Lukas Svaty 2015-10-05 06:48:57 EDT
verified in rhevm-3.6.0-0.18.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.